# interfaces Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KTextEditor::Editor Class Reference

This is a simplfied version of the Document & View classes Usage: Load it, merge it's gui + be happy Extensibility: Use the Document / View classes if you want advanced features, interfaces, etc. More...

`#include <editor.h>`

Inheritance diagram for KTextEditor::Editor:

[legend]
Collaboration diagram for KTextEditor::Editor:

[legend]
List of all members.

## Public Member Functions

| Editor (QObject *parent=0, const char *name=0)
unsigned int | editorNumber () const

## Friends

class | PrivateEditor

## Detailed Description

This is a simplfied version of the Document & View classes Usage: Load it, merge it's gui + be happy Extensibility: Use the Document / View classes if you want advanced features, interfaces, etc.

This class is just a good text editor widget replacement for applications which just need an embedded text edtor and are not interested in using advanced interfaces.

Definition at line 39 of file editor.h.

## Constructor & Destructor Documentation

Editor::Editor | ( | QObject * | parent = `0`,
|  | const char * | name = `0`
| ) |

| Create a new editor widget. Definition at line 194 of file ktexteditor.cpp.

The documentation for this class was generated from the following files:

- editor.h
- ktexteditor.cpp

This file is part of the documentation for interfaces Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:35:15 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003